#!/usr/bin/perl
# mediatomb-lib.pl
# Common functions for the MediaTomb module

BEGIN { push(@INC, ".."); };
use WebminCore;
&init_config();

sub get_my_address
{
my $myip;
if (&foreign_check("net")) {
        # Try to get ethernet interface
        &foreign_require("net", "net-lib.pl");
        my @act = &net::active_interfaces();
        my @ifaces = grep { &net::iface_type($_->{'fullname'}) =~ /ether/i }
                          @act;
        @ifaces = ( $act[0] ) if (!@ifaces && @act);
        if (@ifaces) {
                return wantarray ? ( map { $_->{'address'} } @ifaces )
                                 : $ifaces[0]->{'address'};
                }
        }
$myip = &to_ipaddress(&get_system_hostname());
if ($myip) {
        # Can resolve hostname .. use that
        return wantarray ? ( $myip ) : $myip;
        }
return wantarray ? ( ) : undef;
}

